Package org.apache.sysds.runtime.instructions.spark.data

## Class RowMatrixBlock

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.data.RowMatrixBlock

- All Implemented Interfaces:
    `Externalizable`, `Serializable`

      public class RowMatrixBlock
      extends Object
      implements Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RowMatrixBlock()` |
    `RowMatrixBlock​(int len, int row, MatrixBlock value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLen()` |
    `int` | `getRow()` |
    `MatrixBlock` | `getValue()` |
    `void` | `readExternal​(ObjectInput is)` | Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient deserialization.
    `void` | `writeExternal​(ObjectOutput os)` | Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient serialization.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowMatrixBlock

          public RowMatrixBlock()

    - #### RowMatrixBlock

          public RowMatrixBlock​(int len,
                                int row,
                                MatrixBlock value)

  - ### Method Detail

    - #### getLen

          public int getLen()

    - #### getRow

          public int getRow()

    - #### getValue

          public MatrixBlock getValue()

    - #### readExternal

          public void readExternal​(ObjectInput is)
                            throws IOException

      Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient deserialization.
      Specified by:
        `readExternal` in interface `Externalizable`
      Parameters:
        `is` - object input
      Throws:
        `IOException` - if IOException occurs

    - #### writeExternal

          public void writeExternal​(ObjectOutput os)
                             throws IOException

      Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient serialization.
      Specified by:
        `writeExternal` in interface `Externalizable`
      Parameters:
        `os` - object output
      Throws:
        `IOException` - if IOException occurs